## libbtic libbtic — interaction controller library of the buzztrax application framework |

## Functions

GOptionGroup * | btic_init_get_option_group ()
gboolean | btic_init_check ()
void | btic_init ()

## Types and Values

extern const guint | btic_major_version
extern const guint | btic_micro_version
extern const guint | btic_minor_version

## Includes

    #include <libbtic/ic.h>

## Description

The library offers an abstraction of hardware controllers that can be bound to ui controls.

## Functions

### btic_init_get_option_group ()

    GOptionGroup *
    btic_init_get_option_group (void);

Returns a GOptionGroup with libbtic's argument specifications. The group is set up to use standard GOption callbacks, so when using this group in combination with GOption parsing methods, all argument parsing and initialization is automated.

This function is useful if you want to integrate libbtic with other libraries that use GOption (see `g_option_context_add_group()` ).

[skip]

#### Returns

a pointer to a GOption group. Should be dereferenced after use.

[transfer full]

### btic_init_check ()

    gboolean
    btic_init_check (gint *argc,
                     gchar **argv[],
                     GError **err);

Initializes the Buzztrax interaction controller library.

This function will return `FALSE` if Buzztrax interaction controller could not be initialized for some reason. If you want your program to fail fatally, use `btic_init()` instead.

#### Parameters

argc | pointer to application's argc |
argv | pointer to application's argv |
err | pointer to a GError to which a message will be posted on error |

#### Returns

`TRUE` if Buzztrax interaction controller could be initialized.

### btic_init ()

    void
    btic_init (gint *argc,
               gchar **argv[]);

Initializes the Buzztrax Interaction Controller library.

This function will terminate your program if it was unable to initialize the core for some reason. If you want your program to fall back, use `btic_init_check()` instead.

WARNING: This function does not work in the same way as corresponding functions in other glib-style libraries, such as `gtk_init()`. In particular, unknown command line options cause this function to abort program execution.

#### Parameters

argc | pointer to application's argc |
argv | pointer to application's argv |

## Types and Values

### btic_major_version

    extern const guint btic_major_version;

buzztrax version stamp, major part; determined from BTIC_MAJOR_VERSION

### btic_micro_version

    extern const guint btic_micro_version;

buzztrax version stamp, micro part; determined from BTIC_MICRO_VERSION

### btic_minor_version

    extern const guint btic_minor_version;

buzztrax version stamp, minor part; determined from BTIC_MINOR_VERSION